package com.red.circle.other.app.dto.clientobject.game.sud;

public enum SudErrorCode {
    /**
     * 成功
     */
    SUCCESS(0, "成功"),
    /**
     * Token创建失败
     */
    TOKEN_CREATE_FAILED(1001, "Token创建失败"),
    /**
     * Token校验失败（算法，签名错误）
     */
    TOKEN_VERIFY_FAILED(1002, "Token校验失败"),
    /**
     * Token解析失败
     */
    TOKEN_DECODE_FAILED(1003, "Token解析失败"),
    /**
     * Token非法（携带的Claim错误）
     */
    TOKEN_INVALID(1004, "Token非法"),
    /**
     * Token过期
     */
    TOKEN_EXPIRED(1005, "Token过期"),

    VERIFICATION_FAILED_PROCEDURE(1006,"校验签名验签失败"),
    /**
     * 读取数据错误.
     */
    READ_DATE_ERROR(1007, "Read data error"),
    /**
     * 玩家账号功能限制.
     */
    USER_ACCOUNT_LIMIT(1022, "Account limit"),
    /**
     * 没有放开.
     */
    NOT_OPEN_ERROR(2109, "not open"),


    /**
     * 未知错误
     */
    UNDEFINE(9999, "未知错误");
    private final int code;
    private final String message;

    SudErrorCode(int code, String message) {
        this.code = code;
        this.message = message;
    }

    public int getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
